Loading...
Searching...
No Matches
opencc::SerializableDict Class Referenceabstract
OpenCC C++ Comprehensive API

Serializable dictionary interface. More...

`#include <src/SerializableDict.hpp>`

Inheritance diagram for opencc::SerializableDict:

## Public Member Functions

virtual void | SerializeToFile (FILE *fp) const =0
| Serializes the dictionary and writes in to a file.
virtual void | SerializeToFile (const std::string &fileName) const
| Serializes the dictionary and writes in to a file.

## Static Public Member Functions

template<typename DICT>
static bool | TryLoadFromFile (const std::string &fileName, std::shared_ptr< DICT > *dict)
template<typename DICT>
static std::shared_ptr< DICT > | NewFromFile (const std::string &fileName)

## Detailed Description

Serializable dictionary interface.

## Member Function Documentation

## SerializeToFile()

virtual void opencc::SerializableDict::SerializeToFile | ( | FILE * | fp | ) | const

pure virtual

Serializes the dictionary and writes in to a file.

Implemented in opencc::BinaryDict, opencc::DartsDict, opencc::MarisaDict, opencc::SerializedValues, and opencc::TextDict.

The documentation for this class was generated from the following file:

- SerializableDict.hpp